Order PostGIS key selection column by order in table/view
2014-11-10 07:28 PM - James Haggerty

Status: Open

Priority: Normal

Assignee:

Category: Unknown

Pull Request or Patch supplied: Resolution:

Easy fix?: No Copied to github as #: 19868
Description

| have a view which, depending on what the Postgres query analyser does, presents the key attributes in an annoying order (booleans
first, if pg_attribute is the initial table). | would really like users of the database to have a sane key selected first, in this case the first
column in the view. This could be very easily achieved by adding =~ ORDER BY attnum

to this query:

SELECT attname, CASE WHEN typname = ANY(ARRAY['geometry','geography’,'topogeometry']) THEN 1 ELSE null END AS
isSpatial FROM pg_attribute JOIN pg_type ON atttypid=pg_type.oid WHERE attrelid=regclass('%1.%2")

https://github.com/qgis/QGIS/blob/a3447dd9a3466d5e08451b7c5666a37046435bc/src/providers/postgres/qgspostgresconn.cpp#L300
Thanks!

History

#1 - 2017-05-01 12:47 AM - Giovanni Manghi
- Easy fix? set to No

#2 - 2017-09-22 10:07 AM - Jiirgen Fischer
- Category set to Unknown
